#include<bits/stdc++.h>
using namespace std;
void zag(int n,int k,int t)
{
    int i,j,c,d,e;
    c=0;
    d=0;
    e=0;
    for(i=0;i<pow(2,n);i++)
        {
            int b =i;
            c=0;
            d=0;
    int a;
    string s="";
    if(i==0)
    {
        for(j=0;j<n;j++)
    {
        s=s+"(";
        c++;
    }
    }
    while(b>0)
    {
        a=b%2;
        b=b/2;
        if(a==0)
        {
            s="("+s;
            c++;
        }
        else
        {
            s=")"+s;
            d++;
        }

    }
    for(j=s.size();j<n;j++)
    {
        s="("+s;
        c++;
    }
    if(min(c,d)+k>=max(c,d))
    {
    e++;
    if(e==t)
    {
        cout << s<<endl;
        return;
    }
    }
        }
        cout << "Ne postoji"<<endl;

}


int main()
{
    int q,i,n,k,t;
    string s;
    cin >> q;
    for(i=0;i<q;i++)
    {
        cin >> n >> k >>t;
        zag(n,k,t);
    }


}